DTEDConstants (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.dted
Interface DTEDConstants

All Known Implementing Classes:
  DTEDFrameCacheHandler, DTEDFrameCacheLayer

    public interface DTEDConstants

An interface that contains constants used by various classes in the package.

Field Summary
`static int` | `BANDSHADING` Banded contour coloring, contour based on meters.
`static int` | `BOUNDARYSHADING` Test markings, for the boundary of the subframe.
`static int` | `COLOREDSHADING` Colorized slope shading.
`static int` | `DEFAULT_BANDHEIGHT` Default height between bands in band views.
`static int` | `DEFAULT_SLOPE_ADJUST` Default contrast setting for slope shading.
`static int` | `LEVEL_0` DTED LEVEL 0, 1km posts.
`static int` | `LEVEL_1` DTED LEVEL 1, 100m posts.
`static int` | `LEVEL_2` DTED LEVEL 2, 30m posts.
`static int` | `NOSHADING` Empty image.
`static int` | `SLOPESHADING` Gray scale slope shading, sun from the Northwest.

Field Detail

### NOSHADING

    static final int NOSHADING

  Empty image.

  See Also:
    Constant Field Values

### SLOPESHADING

    static final int SLOPESHADING

  Gray scale slope shading, sun from the Northwest.

  See Also:
    Constant Field Values

### BANDSHADING

    static final int BANDSHADING

  Banded contour coloring, contour based on meters.

  See Also:
    Constant Field Values

### BOUNDARYSHADING

    static final int BOUNDARYSHADING

  Test markings, for the boundary of the subframe.

  See Also:
    Constant Field Values

### COLOREDSHADING

    static final int COLOREDSHADING

  Colorized slope shading. Color bands are based on elevation, and are accented by shaded indications.

  See Also:
    Constant Field Values

### LEVEL_0

    static final int LEVEL_0

  DTED LEVEL 0, 1km posts.

  See Also:
    Constant Field Values

### LEVEL_1

    static final int LEVEL_1

  DTED LEVEL 1, 100m posts.

  See Also:
    Constant Field Values

### LEVEL_2

    static final int LEVEL_2

  DTED LEVEL 2, 30m posts.

  See Also:
    Constant Field Values

### DEFAULT_BANDHEIGHT

    static final int DEFAULT_BANDHEIGHT

  Default height between bands in band views.

  See Also:
    Constant Field Values

### DEFAULT_SLOPE_ADJUST

    static final int DEFAULT_SLOPE_ADJUST

  Default contrast setting for slope shading.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details